unit uGlobal;

interface

uses
  HidControllerClass,forms,Sysutils,DXSprite,DXDraws,uGoods;


var
  bDrawRegion:boolean;
  ToyDeviceOne:TJvHidDevice;
  ToyDeviceTwo:TJvHidDevice;
  AppPath:string;
  LayoutTwo:TDXSpriteEngine;
  LayoutThree:TDXSpriteEngine;
  LayoutFour:TDXSpriteEngine;
  LayoutFive:TDXSpriteEngine;
  LayoutSix:TDXSpriteEngine;
  LayoutSeven:TDXSpriteEngine;
  ImgStoreBalls:TDXImageList;
  ImgStoreContext:TDXImageList;
  ImgStoreEffect:TDXImageList;
  ImgStoreFixed:TDXImageList;
  ImgStoreGesture:TDXImageList;
  ImgStoreAnimation:TDXImageList;

  //instance classes
  GripGame:TGripGame;

  //
  Explode:TExplode;
  OK:TOk;

  //
  StressOne:TStressValue;
  DeviceOne:TJvHidDevice;
  StressTwo:TStressValue;
  DeviceTwo:TJvHidDevice;
  MarkerOne:TMarker;
  ComboOne:TCombo;
  PercentagOne:TPercentag;

  procedure InitialLayouts(Two,Three,Four,Five,Six,Seven:TDXSpriteEngine);
  procedure InitialImgStores(Balls,Context,
    Effect,Fixed,Gesture,Animation:TDXImageList);

implementation

procedure InitialLayouts(Two,Three,Four,Five,Six,Seven:TDXSpriteEngine);
begin
  LayoutTwo:=Two;
  LayoutThree:=Three;
  LayoutFour:=Four;
  LayoutFive:=Five;
  LayoutSix:=Six;
  LayoutSeven:=Seven;
end;

procedure InitialImgStores(Balls,Context,
    Effect,Fixed,Gesture,Animation:TDXImageList);
begin
  ImgStoreBalls:=Balls;
  ImgStoreContext:=Context;
  ImgStoreEffect:=Effect;
  ImgStoreFixed:=fixed;
  ImgStoreGesture:=Gesture;
  ImgStoreAnimation:=Animation;
end;

initialization
  AppPath:=ExtractFilePath(Application.ExeName);

finalization

end.
